﻿using IPSteckerLib;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using static IPSteckerLib.Ipstecker;

namespace IpsteckerExample
{
    class Program
    {
        static void Main(string[] args)
        {
            Ipstecker ipstecker = new Ipstecker("192.168.0.219", "");

            var state = ipstecker.GetState();
            Console.WriteLine("Actual state:");
            DisplayState(state);

            Console.WriteLine("\nSwitch on: plug 1");
            ipstecker.PlugSwitchTo(1, Ipstecker.State.ON);
            Console.WriteLine("Switch on: plug 2");
            ipstecker.PlugSwitchTo(2, Ipstecker.State.ON);
            Console.WriteLine("Switch on: plug 3");
            ipstecker.PlugSwitchTo(3, Ipstecker.State.ON);

            state = ipstecker.GetState();
            Console.WriteLine("\nActual state:");
            DisplayState(state);

            Console.WriteLine("\nSwitch off: plug 1");
            ipstecker.PlugSwitchTo(1, Ipstecker.State.OFF);
            Console.WriteLine("Switch off: plug 2");
            ipstecker.PlugSwitchTo(2, Ipstecker.State.OFF);
            Console.WriteLine("Switch off: plug 3");
            ipstecker.PlugSwitchTo(3, Ipstecker.State.OFF);

            state = ipstecker.GetState();
            Console.WriteLine("\nActual state:");
            DisplayState(state);

            Console.ReadLine();
        }

        static void DisplayState(Dictionary<int, State> states)
        {
            foreach(var plugState in states)
            {
                Console.WriteLine("Plug {0} state: {1}", plugState.Key, plugState.Value.ToString());
            }
        }
    }
}
